This application is written in C++. It handles the roles that exist in an organization.
The roles,all the assigned permissions, business codes and parent containers are kept inside different tables created using MySQL Workbench. The entire schema and the stored procedures can be found inside the repository in alexaDatabase.mysql.
The app was created with an interactive menu where the user can choose which operation wants. Some of the options are: add role, delete role, update container, get a certain type of permission for a chosen role and so on. 
Basically the app connects to the database on port 3306 and calls the stored procedure for each type of operation. Some of the stored procedures are made using transactions in case one of the operation fails (let's say if a delete request fails) then a rollback will be done. Also many foreign keys were created between the tables with cascade option on delete restricted. 
